<script lang="ts">
import JIcon from '@new-jira-clone/ui/src/components/icon/JIcon';

export default {
  name: 'JAvatarEditIcon',
  components: {
    JIcon,
  },
};
</script>

<template>
  <div class="j-avatar-edit-icon">
    <JIcon
      icon="avatarEdit"
      size="48px"
      class="j-edit-icon"
    />

    <slot class="j-avatar" />
  </div>
</template>

<style scoped lang="scss">
.j-avatar-edit-icon {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin: 0 auto;
  width: 120px;
  height: 120px;
  color: #fff;
  overflow: hidden;
  cursor: pointer;
  border-radius: 50%;
  border: 1px #d1d1d1 solid;
  background: linear-gradient(rgba(var(--j-primary-color), 0.25), rgb(var(--j-primary-color)));

  &:hover {
    .j-icon-wrapper {
      transform: scale(1.2);
    }
  }

  .j-icon-wrapper {
    z-index: 1;
    margin-bottom: 4px;
    transition: 200ms;
  }

  :deep(.j-avatar) {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}
</style>
